﻿<%@ Page Language="C#" AutoEventWireup="true"
	CodeBehind="NewsLetterMenu.aspx.cs"
	Inherits="BVNetwork.EPiSendMail.Plugin.NewsLetterMenu" %>

<%@ Import Namespace="BVNetwork.EPiSendMail.DataAccess" %>
<%@ Register TagPrefix="EPiServerShell" Assembly="EPiServer.Shell" Namespace="EPiServer.Shell.Web.UI.WebControls" %>

<asp:content contentplaceholderid="FullRegion" runat="server">
	<link rel="stylesheet" type="text/css" href="<%= BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/content/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="<%= BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/content/css/newsletterstyle.css">
    <script src="<%= BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/content/js/jquery-2.0.3.min.js"></script>
    <script src="<%= BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/content/js/bootstrap.js"></script>
    <div>
		<EPiServerShell:ShellMenu ID="ShellMenu2" runat="server" SelectionPath="/global/newsletter/main" Area="Newsletter" />
		<div>
			<div id="epi-application">
				<div id="epi-applicationBody">
					<div id="epi-applicationBodySidebar" class="epi-scrollable">              
						<div class="col-lg-12">
							<h3>Newsletters:</h3>
							<%-- Newsletters that has not been sent, or that is in progress of beeing sent. --%>
							<asp:Repeater runat="server" ID="rptNewsLettersInProgress" >
								<HeaderTemplate>
                                        <ul>
								</HeaderTemplate>
								<ItemTemplate>
                                    <li>
											<a id="A1" 
                                                href='<%# BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/Plugin/Jobs/JobEdit.aspx?pid=<%# GetNewsletterLink((Job)Container.DataItem) %>'
												target="MainFrame"
												title='<%# Eval("Description") %>'><span class="glyphicon glyphicon-envelope" style="color: <%# GetNewsLetterColorForStatus((JobStatus)Eval("Status")) %>"></span> <%# Eval("Name") %></a>
									</li>
								</ItemTemplate>
								<FooterTemplate></ul></FooterTemplate>
							</asp:Repeater>

							<asp:LinkButton ID="lnkShowAll" OnClick="lnkShowAll_Click" runat="server" Text="Show All" />
						<hr/>

						<div id="RecipientList">
							<h3>Recipient Lists:</h3>
							<small style="color: gray">
								A recipient list can hold email addresses that can be added to one or more newsletters. 
							</small>
							
								<asp:Repeater ID="rptRecipientLists" runat="server" >
								    <HeaderTemplate><ul style="padding: 1em 0 1em 4px;"></HeaderTemplate>
								    <ItemTemplate>
									    <li>
										    <a id="A2" 
                                                href='<%# BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() + "/plugin/recipientlists/listedit.aspx?recipientlistid=" + Eval("Id") %>' 
											    target="MainFrame"
											    runat="server"
											    title='<%# Eval("Description") %>'>
											    <span class="glyphicon glyphicon-list" style="font-size: 16px;"></span> <%# Eval("Name") %> 
										    </a> (<%# GetRecipientListTypeString(Eval("ListType")) %>)
									    </li>
								    </ItemTemplate>
                                    <FooterTemplate></ul></FooterTemplate>
							</asp:Repeater>
							

							<div style="clear: both; margin-top: 10px;">
								<a id="A3"
									target="MainFrame" 
									runat="server" class="btn btn-info"> <span class="glyphicon glyphicon-pencil"></span> Create New List</a>
							</div>
						</div>
					</div>
				</div>
					<div id="epi-applicationBodyMainWrapper">
						<div id="epi-applicationBodyMain" class="epi-scrollable epi-padding">
						    <div runat="server" id="pnlNoJobs" Visible="false">
                                <div class="container">
                                    <div class="col-md-2"></div>
                                    <div class="col-md-8">
                                        <div id="pnlWarning" class="panel panel-warning" runat="server">
                                            <div class="panel-heading">
                                                <h3 class="panel-title">Welcome to the Newsletter Module</h3>
                                            </div>
                                            <div class="panel-body">
                                                <p>
                                                    You currently do not have any newsletters. When you create a Newsletter page it will be shown here, ready for you to send.
                                                </p>
                                                <p>
                                                    For more information, <strong><a href="https://www.coderesort.com/p/epicode/wiki/Newsletter/UserGuide">see the online user guide</a></strong>
                                                </p>
                                                <p>
                                                    Thank you for using the Newsletter Module for EPiServer.
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2"></div>
                                </div>
						    </div>
							<iframe name="MainFrame" src="about:blank" frameborder="0" width="100%" height="99%" ID="iframeNewsletter" runat="server">
							</iframe>
						</div>
					</div>

				</div>
			</div>
		</div>
	</div>
	 <script type="text/javascript">
	     $(document).ready(function () {
	         epi.shell.layout.initScrollableArea({ area: "#epi-applicationBodySidebar,#epi-applicationBodyMain" });
	     });
	 </script>
</asp:content>
