<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="RecipientItemsEdit.aspx.cs"
    Inherits="BVNetwork.EPiSendMail.Plugin.RecipientItemsEdit"
    EnableViewState="true" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >

<html>
<head>
    <title>Email Addresses in Recipient List</title>
    <link rel="stylesheet" type="text/css" href="<%= BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/content/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="<%= BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/content/css/newsletterstyle.css">
    <script src="<%= BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/content/js/jquery-2.0.3.min.js"></script>
    <script src="<%= BVNetwork.EPiSendMail.Configuration.NewsLetterConfiguration.GetModuleBaseDir() %>/content/js/bootstrap.js"></script>

    <%-- The path of the plug-in stylesheet is calculated on the server --%>
    <asp:Literal ID="lblSendMailStyleSheet" runat="server" />
</head>
<body>
    <form id="form1" runat="server" defaultbutton="cmdSearchFor" defaultfocus="txtSearchFor">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <a style="color: #888;" href="ListEdit.aspx?recipientlistid=<%= RecipientList.Id.ToString() %>">Back to list</a>

                <h1 style="margin-bottom: 0.5em;">
                    <asp:label id="lblName" runat="server" />
                </h1>

                <div style="padding: 0.5em; margin: 0.5em; background-color: #F7F7FB;">
                    <asp:label id="lblDescription" runat="server" />
                    <br />
                    Number of email addresses: <strong>
                        <asp:label id="lblItemCount" runat="server" />
                    </strong>
                </div>

                <asp:panel id="pnlSearchFor" runat="server" style="padding: 0.5em; margin: 0.5em;">
                    Search for email addresses:
                    <asp:TextBox ID="txtSearchFor" runat="server" />
                    <asp:Button ID="cmdSearchFor" runat="server" Text="Search" OnClick="cmdSearchFor_Click" />
                    <br />Or, 
                    <asp:LinkButton ID="lnkShowAll" runat="server" Font-Bold="true" 
                                    style="text-decoration: underline;" 
                                    Text="you can show all recipients" OnClick="lnkShowAll_Click" /> 
                    <span style="color: #666;">(Note! This can take some time if the list is big)</span>
                </asp:panel>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">

                <asp:datagrid cssclass="table table-striped table-bordered" id="grdItems" allowpaging="false" pagesize="20"
                    onitemcommand="grdWorkItemsItemCommandHandler"
                    runat="server" cellpadding="4" autogeneratecolumns="false">
                    <Columns>
                        <asp:BoundColumn DataField="Email" HeaderText="Email Address" HeaderStyle-Font-Bold="true" />
                        <asp:BoundColumn DataField="Added" HeaderText="Information" HeaderStyle-Font-Bold="true"/>
                        <asp:BoundColumn DataField="Source" HeaderText="Source"  HeaderStyle-Font-Bold="true" />
                        <asp:BoundColumn DataField="Comment" HeaderText="Comment"  HeaderStyle-Font-Bold="true" />
                        <asp:ButtonColumn ButtonType="LinkButton" CommandName="Delete" CausesValidation="false"
                            Text="Delete" />
                    </Columns>
                </asp:datagrid>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
